Frequent crash of Adobe Shockwave for Director plugin on Mac OS X [@ IMLLib@0x3fd52]

RESOLVED INCOMPLETE

Status

Plugins Graveyard
Shockwave (Adobe)
RESOLVED INCOMPLETE
7 years ago
2 years ago

People

(Reporter: Teodosia Pop, Unassigned)

Tracking

({crash})

11.x
x86_64
Mac OS X
crash

Details

(Whiteboard: [4rc], DUPEME, [ibeta][10b1], crash signature, URL)

Attachments

(1 attachment)

(Reporter)

Description

7 years ago
Build ID: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:2.0) Gecko/20100101
Firefox/4.0

File: DirectorShockwave.plugin
Version: 11.5.9r620
Adobe Shockwave for Director Netscape plug-in, version 11.5.9

Crash Report: https://crash-stats.mozilla.com/report/pending/fcd52c8e-1e3e-46d1-9fe5-9b1042110307

Steps to Reproduce:
1. Go to http://www.adobe.com/shockwave/welcome/

Actual Results:
Plugin crashes almost every time the above page is loaded.
(Reporter)

Updated

7 years ago
Whiteboard: [4rc]
I cannot get the report to come up (It says archived report not found). There is another bug someplace that relates to a shockwave crash I will see if I can locate it.

Updated

7 years ago
Keywords: crash, reproducible
Whiteboard: [4rc] → [4rc], DUPEME
When I load the page, I get the yellow bar that says the plugin can only run in 32 bit mode. Did you get that notification? The other Shockwave bug I was thinking of seems to be only related to Windows -> Bug 591372
I'm not able to reproduce the crash using 10.6.6 and Adobe Shockwave 11.5.9r620. I also tried some of the examples in http://www.adobe.com/products/shockwaveplayer/

The examples I tried worked, although a bit slow. This plugin installer says it has full 64bit support.

On 10.5 you get a different installer (it ends in _SLIM) but that worked as well using the link in comment #0 and the examples in the link above.
Keywords: reproducible
(Reporter)

Comment 4

7 years ago
If I run FF in 32 bit mode, the browser crashes.

Crash Report: https://crash-stats.mozilla.com/report/index/3dc297fa-0750-43b2-97be-d46ba2110307

With FF in 64 bit mode, only the plug-in crashes.
(In reply to comment #4)
> If I run FF in 32 bit mode, the browser crashes.
> 
> Crash Report:
> https://crash-stats.mozilla.com/report/index/3dc297fa-0750-43b2-97be-d46ba2110307
> 
> With FF in 64 bit mode, only the plug-in crashes.

What does the graphics section say in about:support?
Whiteboard: [4rc], DUPEME → [4rc], DUPEME, [ibeta]

Updated

7 years ago
Duplicate of this bug: 639926

Updated

7 years ago
Summary: Frequent crash of Adobe Shockwave for Director plugin on Mac OS X → Frequent crash of Adobe Shockwave for Director plugin on Mac OS X [@ IMLLib@0x3fd52]
(Reporter)

Comment 7

7 years ago
Info in about:support

Graphics 
Adapter Description: 0x24000,0x20400
Vendor ID: 0000
Device ID: 0000
Adapter RAM:
Adapter Drivers:
Driver Version:
Driver Date:
Direct2D Enabled: false
DirectWrite Enabled: false
WebGL Renderer: Intel Inc. -- Intel GMA 950 OpenGL Engine -- 1.4 APPLE-1.6.26
GPU Accelerated Windows: 0/1

Updated

7 years ago
Component: Plug-ins → Shockwave (Adobe)
Product: Core → Plugins
QA Contact: plugins → adobe-shockwave
Version: unspecified → 11.x
(Assignee)

Updated

7 years ago
Crash Signature: [@ IMLLib@0x3fd52]

Comment 8

6 years ago
Created attachment 583780 [details]
Screenshot

Comment 9

6 years ago
Build: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:10.0) Gecko/20100101 Firefox/10.0 beta 1

I've got a similar crash when using Adobe Shockwave for Director plugin - see the screenshot above

Load: http://www.miniclip.com/games/ice-racer/en/ and you should get a crash every time.

My plugin version is: Shockwave for Director 11.6.3r633
Whiteboard: [4rc], DUPEME, [ibeta] → [4rc], DUPEME, [ibeta][10b1]

Comment 10

6 years ago
The game below fails to start at all in 64bit mode, and in 32bit mode the game starst in the menu but the actual game play is a black screen.
http://www.adobe.com/products/shockwaveplayer/mountainbike_game/

The build and the plugin is the same as per comment9.
tracking-firefox10: --- → ?
Not a top crasher or a regression (that I know of), so I don't believe we need to track for 10. Please re-nominate if that changes.
tracking-firefox10: ? → -

Comment 12

2 years ago
Closing old bugs in the Plugins component. We aren't going to track issues in 3rd-party plugins in the Mozilla bug tracker. In addition, support for NPAPI plugins will be removed at the end of this year; for more details see the post at https://blog.mozilla.org/futurereleases/2015/10/08/npapi-plugins-in-firefox/

If there is a serious bug in Firefox, it needs to be filed in the "Core" product, "Plug-Ins" component.
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → INCOMPLETE
(Assignee)

Updated

2 years ago
Product: Plugins → Plugins Graveyard
You need to log in before you can comment on or make changes to this bug.